package model

import "go.mongodb.org/mongo-driver/bson/primitive"

type Tag struct {
	ID    primitive.ObjectID `json:"-" bson:"_id,omitempty"`
	Name  string             `json:"name" bson:"name,omitempty"`
	Count int                `json:"count" bson:"count,omitempty"`
}

type Tags struct {
	List []Tag
}

func NewTags() Tags {
	m := Tags{
		List: make([]Tag, 0),
	}
	return m
}

//Contains checking if the manufacturer name is present in the list of manufacturers
func (m *Tags) Contains(name string) bool {
	for _, a := range m.List {
		if a.Name == name {
			return true
		}
	}
	return false
}

//Add adding a new manufacturer to the list
func (m *Tags) Add(name string, count int) {
	if !m.Contains(name) {
		m.List = append(m.List, Tag{
			Name:  name,
			Count: count,
		})
	}
}
